Subject: Re: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: Stefan Monnier <[email-masked]>
Date: Fri, 29 Jun 2018 10:51:25 -0400

> One aspect of the changes for which I'd like some feedback (and CC
> Stefan and Alan) is that the modified code no longer calls the
> modification hooks for each small insertion or deletion that the
> optimized replacement script calls; instead, we call the modification
> hooks just once before the series of changes and once after them.

I think that's fine.  But could we refine the after-change call so it
provides tighter bounds than BEGV..ZV (which is worse than what
insert-file-contents does, for example)?

        Stefan